Class SearchBody
java.lang.Object
org.codelibs.fess.app.web.api.admin.BaseSearchBody
org.codelibs.fess.app.web.api.admin.fileconfig.SearchBody
Search request body for file crawling configuration administration API.
-
Field Summary
FieldsModifier and TypeFieldDescriptionDescription of the file crawling configurationName of the file crawling configurationFile paths to crawlFields inherited from class org.codelibs.fess.app.web.api.admin.BaseSearchBody
page, size -
Constructor Summary
Constructors -
Method Summary
Methods inherited from class org.codelibs.fess.app.web.api.admin.BaseSearchBody
getCurrentPageNumber, getPageSize
-
Field Details
-
name
Name of the file crawling configuration -
paths
File paths to crawl -
description
Description of the file crawling configuration
-
-
Constructor Details
-
SearchBody
public SearchBody()Default constructor.
-